/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** BEDL_C00601
智能清分台账编码近期明细查询1_银企直联 POST /api/PingAnBEDL/InquiryIntoTheCurrentDetailsOfMainSubaccountAccountOne */
export async function inquiryIntoTheCurrentDetailsOfMainSubaccountAccountOne(
  body: API.PrimaryAcctDetialInputBase,
  options?: API.RequestConfig
) {
  return request<API.InquiryIntoTheCurrentDetailsOfMainSubaccountAccountOutput>(
    '/api/PingAnBEDL/InquiryIntoTheCurrentDetailsOfMainSubaccountAccountOne',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C00602
智能清分台账编码近期明细查询2_银企直联 POST /api/PingAnBEDL/InquiryIntoTheCurrentDetailsOfMainSubaccountAccountTwo */
export async function inquiryIntoTheCurrentDetailsOfMainSubaccountAccountTwo(
  body: API.InquiryIntoTheCurrentDetailsOfMainSubaccountAccountTwoInput,
  options?: API.RequestConfig
) {
  return request<API.InquiryIntoTheCurrentDetailsOfMainSubaccountAccountOutput>(
    '/api/PingAnBEDL/InquiryIntoTheCurrentDetailsOfMainSubaccountAccountTwo',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C014
智能清分账户转账笔数和限额维护和查询_银企直联 POST /api/PingAnBEDL/MaintainInquireSmartClearingAccount */
export async function maintainInquireSmartClearingAccount(
  body: API.MaintainInquireSmartClearingAccountInput,
  options?: API.RequestConfig
) {
  return request<API.MaintainInquireSmartClearingAccountOutput>(
    '/api/PingAnBEDL/MaintainInquireSmartClearingAccount',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C011
转账对手白名单维护_银企直联 POST /api/PingAnBEDL/MaintainTransferCounterpartyWhiteList */
export async function maintainTransferCounterpartyWhiteList(
  body: API.MaintainTransferCounterpartyWhiteListInput,
  options?: API.RequestConfig
) {
  return request<API.MaintainTransferCounterpartyWhiteListOutput>(
    '/api/PingAnBEDL/MaintainTransferCounterpartyWhiteList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C012
智能清分来账自动清分规则维护_银企直联 POST /api/PingAnBEDL/MaintainVosAcctAutomaticClearingRule */
export async function maintainVosAcctAutomaticClearingRule(
  body: API.MaintainVosAcctAutomaticClearingRuleInput,
  options?: API.RequestConfig
) {
  return request<API.MaintainVosAcctAutomaticClearingRuleOutput>(
    '/api/PingAnBEDL/MaintainVosAcctAutomaticClearingRule',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C007
支付单状态查询_银企直联 POST /api/PingAnBEDL/PaymentOrderStatusQuery */
export async function paymentOrderStatusQuery(
  body: API.PaymentOrderStatusQueryInput,
  options?: API.RequestConfig
) {
  return request<API.PaymentOrderStatusQueryOutput>('/api/PingAnBEDL/PaymentOrderStatusQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_C006
智能清分台帐编码近期明细查询_银企直联 POST /api/PingAnBEDL/PrimaryAcctDetialQuery */
export async function primaryAcctDetialQuery(
  body: API.PrimaryAcctDetialQueryInput,
  options?: API.RequestConfig
) {
  return request<API.PrimaryAcctDetialQueryOutput>('/api/PingAnBEDL/PrimaryAcctDetialQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_C001
智能清分台账编码关系查询_银企直联 POST /api/PingAnBEDL/PrimaryAcctRelationshipQuery */
export async function primaryAcctRelationshipQuery(
  body: API.PrimaryAcctRelationshipQueryInput,
  options?: API.RequestConfig
) {
  return request<API.PrimaryAcctRelationshipQueryOutput>(
    '/api/PingAnBEDL/PrimaryAcctRelationshipQuery',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C013
能清分来账自动清分规则查询_银企直联 POST /api/PingAnBEDL/QueryVosAcctAutomaticClearingRule */
export async function queryVosAcctAutomaticClearingRule(
  body: API.QueryVosAcctAutomaticClearingRuleInput,
  options?: API.RequestConfig
) {
  return request<API.QueryVosAcctAutomaticClearingRuleOutput>(
    '/api/PingAnBEDL/QueryVosAcctAutomaticClearingRule',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_C008
清分台账编码余额查询_银企直联 POST /api/PingAnBEDL/SubAccountBalanceQuery */
export async function subAccountBalanceQuery(
  body: API.SubAccountBalanceQueryInput,
  options?: API.RequestConfig
) {
  return request<API.SubAccountBalanceQueryOutput>('/api/PingAnBEDL/SubAccountBalanceQuery', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_C005
清分台账编码余额调整_银企直联 POST /api/PingAnBEDL/SubAcctBalanceAdjust */
export async function subAcctBalanceAdjust(
  body: API.SubAcctBalanceAdjustInput,
  options?: API.RequestConfig
) {
  return request<API.SubAcctBalanceAdjustOutput>('/api/PingAnBEDL/SubAcctBalanceAdjust', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_C002
清分台账编码维护和权限同步（AUDR）_银企直联 POST /api/PingAnBEDL/SubAcctMaintenance */
export async function subAcctMaintenance(
  body: API.SubAcctMaintenanceInput,
  options?: API.RequestConfig
) {
  return request<API.SubAcctMaintenanceOutput>('/api/PingAnBEDL/SubAcctMaintenance', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_C009
清分台账编码手工结息_银企直联 POST /api/PingAnBEDL/SubAcctSettlement */
export async function subAcctSettlement(
  body: API.SubAcctSettlementInput,
  options?: API.RequestConfig
) {
  return request<API.SubAcctSettlementOutput>('/api/PingAnBEDL/SubAcctSettlement', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/PingAnBEDL/Test */
export async function test(options?: API.RequestConfig) {
  return request<number>('/api/PingAnBEDL/Test', {
    method: 'GET',
    ...(options || {}),
  });
}
